unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Spin, StdCtrls;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    Button1: TButton;
    Label1: TLabel;
    editTexto: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    editPortaCom: TSpinEdit;
    editY: TSpinEdit;
    editX: TSpinEdit;
    Label5: TLabel;
    Label6: TLabel;
    editLargura: TSpinEdit;
    editAltura: TSpinEdit;
    checkUSB: TCheckBox;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

function createLabel (Width:integer; Height:integer) : Integer stdcall; external 'etiqueta.dll';
function drawText (x:integer; y:integer; Text:string) : Integer stdcall; external 'etiqueta.dll';
function printLabel (Port:string; usb:boolean) : Integer stdcall; external 'etiqueta.dll';
function closeLabel : Integer stdcall; external 'etiqueta.dll';
function setRawMode (mode:Boolean) : Integer stdcall; external 'etiqueta.dll';
function drawRectangle (x:integer; y:Integer; width:Integer; height:Integer; thickness:Integer; fill:Boolean):Integer stdcall; external 'etiqueta.dll';
function setFont (Font:String; size:Integer; color:Integer; Bold:Boolean; italic:Boolean; direction:Integer):Integer stdcall; external 'etiqueta.dll';
function drawBarcode (codeType:Integer; x:Integer; y:Integer; width:Integer; height:Integer; strText:String; direction:Integer): Integer stdcall; external 'etiqueta.dll';
function drawBitmap (x:Integer; y:Integer; filename:String):Integer stdcall; external 'etiqueta.dll';
function saveLabel (filename:String):Integer stdcall; external 'etiqueta.dll';
function loadLabel (filename:String):Integer stdcall; external 'etiqueta.dll';

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  LibHandle: THandle;
  i:Integer;
  VLogFile: TextFile;
  VLogFileName: string;
begin
   LibHandle := LoadLibrary('etiqueta.dll');
   if LibHandle = 0 then
      ShowMessage('No foi possvel carregar a DLL...')
   else
      begin
         VLogFileName := format('%sEtiqueta.log',[ExtractFilePath(Application.ExeName)]);
         AssignFile(VLogFile,VLogFileName);
         if FileExists(VLogFileName) then
            begin
               Append(VLogFile);
               Writeln(VLogFile,'');
               Writeln(VLogFile,'--------------------------------------------------------------');
               Writeln(VLogFile,'');
            end
         else
            begin
               Rewrite(VLogFile);
            end;
         Writeln(VLogFile,format('DATA/HORA............: %s',[DateTimeToStr(Now)]));
         SetRawMode(false);

         i:=CreateLabel(editLargura.Value, editAltura.value);
         Writeln(VLogFile, 'Inicializa a etiqueta - CreateLabel = '+IntToStr(i));

         i:=SetFont('MS SANS SERIF', 14, 1, false, false, 0);
         Writeln(VLogFile, 'Seta fonte para MS SANS SERIF 14 - SetFont = '+IntToStr(i));

         i:=DrawText(editX.Value, editY.value, editTexto.text);
         Writeln(VLogFile, 'Imprime o texto - DrawText = '+IntToStr(i));

         SaveLabel('Etiqueta.bmp');
         i:=PrintLabel('COM'+IntToStr(editPortaCom.value) , checkUSB.checked);
         Writeln(VLogFile, 'Imprime a etiqueta - PrintLabel = '+IntToStr(i));

         i:=CloseLabel;
         Writeln(VLogFile, 'Fecha a etiqueta - CloseLabel = '+IntToStr(i));

         FreeLibrary(LibHandle); // Free Memory Allocated for the DLL
      end;

end;

end.
